> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.cobee.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get benefit model

## Overview

Retrieve the information of a single benefit model in the Cobee system.


## OpenAPI

````yaml GET /companies/{companyId}/benefit-models/{benefitModelId}
openapi: 3.0.1
info:
  title: Public API
  description: >-
    Public API definition where you can check the documentation for the
    different available operations to integrate with the platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://pre-public-api.cobee.io/api/v3
  - url: https://public-api.cobee.io/api/v3
security:
  - bearerAuth: []
paths:
  /companies/{companyId}/benefit-models/{benefitModelId}:
    get:
      summary: Get the information of a benefit model
      parameters:
        - name: companyId
          in: path
          required: true
          description: The unique identifier of the company
          schema:
            type: string
            format: uuid
          example: a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890
        - name: benefitModelId
          in: path
          required: true
          description: The unique identifier of the benefit model
          schema:
            type: string
            format: uuid
          example: a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890
      responses:
        '200':
          description: Benefit model successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BenefitModel'
        '401':
          description: Unauthorised - Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Unauthorized
        '404':
          description: Not Found - The benefit model ID was not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Benefit Model not found
        '500':
          description: Internal Server Error - Something went wrong on our end
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                message: Internal server error
      deprecated: true
components:
  schemas:
    BenefitModel:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The identifier of the benefit model
        name:
          type: string
          description: The name of the benefit model
        benefitBagConfigs:
          type: array
          items:
            $ref: '#/components/schemas/BenefitBagConfig'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      example:
        message: 'Bad request: Invalid field value'
    BenefitBagConfig:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The identifier of the benefit bag configuration
        name:
          type: string
          description: The name of the benefit bag configuration
        allowedFor:
          type: array
          description: The benefits this configuration can be applied to
          items:
            enum:
              - education-benefit
              - gift-card-benefit
              - gym-benefit
              - health-insurance-benefit
              - home-office-benefit
              - individual-capitalization-benefit
              - it-product-benefit
              - life-insurance-benefit
              - meal-benefit
              - nursery-benefit
              - pension-plan-benefit
              - renting-benefit
              - retirement-insurance-benefit
              - transport-benefit
              - unknown
              - wellness-benefit
              - claps-benefit
              - capitalization-benefit
        consumableFrom:
          type: string
          format: date
          description: The date from which the benefit bag can be consumed
        limitAmount:
          $ref: '#/components/schemas/MonetaryAmount'
    MonetaryAmount:
      type: object
      required:
        - amountInCents
        - currency
      properties:
        amountInCents:
          type: integer
          description: The monetary amount in cents (e.g., 4500000 for 45,000)
          minimum: 1
        currency:
          type: string
          description: The currency code (e.g., EUR)
          example: EUR
      example:
        amountInCents: 4500000
        currency: EUR
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````